This repository contains code and preprocessed data for reproducing the analysisand figures in "What is a face neuron," Bardon et al. 2022.

# Analysis results and code

The main analyses are documented in these Jupyter notebooks:
1. `code/1_psy_analyses.ipynb`, only using psychophysics data (e.g., Figs. 1--5);
2. `code/2_neur_analyses.ipynb`, for analyses involving neuronal data (e.g., Fig. 6)
All figures (main and supplementary) are documented.

The notebooks contain evaluation results for inspection. Output plots are saved in `plots/fig*/`.

The notebooks can also be executed. To do so, please:
- Set up a Python environment with jupyter notebook (or jupyter lab); https://jupyter.org/) and standard data analysis libraries (e.g., pandas, scipy, statsmodels) A full list of libraries used is printed at the end of the two notebooks.


# Other files
`data` contains (preprocessed) needed kkj
